sayren Docs
주문 플로우

흐름 버전 하나(그래프·정의)

없으면 404 `FLOW_VERSION_NOT_FOUND`.

GET
/v1/commerce-flows/{flowId}/versions/{version}

없으면 404 FLOW_VERSION_NOT_FOUND.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

flowId*string
version*number

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/commerce-flows/string/versions/0' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "version": 0,    "status": "DRAFT",    "revision": 0,    "graph": {      "property1": null,      "property2": null    },    "definition": {      "property1": null,      "property2": null    },    "variables": {      "property1": null,      "property2": null    },    "publishedAt": "string"  },  "error": null}